using System;
using System.Threading;
using Microsoft.SPOT;

using Microtoolskit.Hardware.IO;

namespace PANDA_3_I2C
{
    public class Program
    {
        public static void Main()
        {
            // Paramtres du bus I2C
            byte addLeds_I2C = 0x38; // Adresse (7 bits) du PCF8574 reli aux Leds de la carte SSI
            Int16 Freq = 400; // Frquence d'horloge du bus I2C en kHz

            byte stateLED = 0xFE; // Etat initial des LED. (Un 0 logique => Led claire)

            // Cration d'un objet Leds
            PCF8574 Leds = new PCF8574(addLeds_I2C, Freq);

            Leds.Write(stateLED); // Initialisation de l'tat des Leds
            Thread.Sleep(500);

            while (true)
            {
                // Modification de l'tat des LED
                if (stateLED != 0)
                {
                    stateLED = (byte)(stateLED << 1);
                }
                else
                {
                    stateLED = 0xFF;
                }

                //Ecriture sur les Leds
                Leds.Write(stateLED);
                Debug.Print(stateLED.ToString());
                Thread.Sleep(500); // Pour la simulation
            }
        }
    }
}
